Bug 907746 - Missing man page for qemu-kvm
Missing man page for qemu-kvm
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
19
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-05 02:46 EST by Jan ONDREJ
Modified: 2013-05-31 23:20 EDT (History)
11 users (show)

See Also:
Fixed In Version: qemu-1.4.2-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-31 23:20:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2013-02-05 02:46:06 EST
Description of problem:
There is no man page for qemu-kvm or no binary for qemu man page.
Packaging guidelines:
  Packages should contain man pages for all binaries/scripts.
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Man_pages
Even if it's present, it's hard to find it for normal users.

Why we can't just make an alias of qemu -> qemu-kvm ?
Please add this alias. This should simplify my qemu usage.

Also it will be nice to have same files for qemu/qemu-kvm in Fedora and EL. When upgrading my host from centos/fedora or back, I have to change path to qemu in each libvirt configuration file.

Version-Release number of selected component (if applicable):
qemu-1.2.2-4.fc18.x86_64

How reproducible:
always

Steps to Reproduce:
1. man qemu-kvm
2. qemu
  
Actual results:
[root@work ~]# man qemu-kvm
No manual entry for qemu-kvm
[root@work ~]# qemu
bash: qemu: command not found
Comment 1 Richard W.M. Jones 2013-02-05 03:47:42 EST
(In reply to comment #0)
[...]

There are at least 3 issues covered in this.  Please file
separate bugs for separate issues.  But on this one:

> Why we can't just make an alias of qemu -> qemu-kvm ?
> Please add this alias. This should simplify my qemu usage.

This would be wrong.  Upstream 'qemu' is the software i386 emulator.
It's very different from 'qemu-kvm'.  In Fedora we have changed
'qemu' to 'qemu-system-i386' to make the name consistent with
the other 'qemu-system-*' programs.  We should not add confusion
by changing the definition of 'qemu' from what is upstream.
Comment 2 Daniel Berrange 2013-02-05 05:02:00 EST
(In reply to comment #1)
> In Fedora we have changed
> 'qemu' to 'qemu-system-i386' to make the name consistent with
> the other 'qemu-system-*' programs.  We should not add confusion
> by changing the definition of 'qemu' from what is upstream.

Actually, it was upstream who renamed 'qemu' to 'qemu-system-i386'. Per their changelog http://wiki.qemu.org/ChangeLog/1.0

 "i386-softmmu is no longer named qemu but instead referred to as qemu-system-i386 for better consistency with other targets. A new tool is likely to be introduced that uses the qemu name so distributions are advised to not undo this change. "

As such, Fedora will *not* be creating any binary named 'qemu', until upstream does.
Comment 3 Cole Robinson 2013-05-25 14:30:38 EDT
I'm just going to symlink qemu-kvm.1 and qemu-system-* to the qemu.1 manpage, it's about the best we can do.
Comment 4 Fedora Update System 2013-05-25 15:43:42 EDT
qemu-1.4.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qemu-1.4.2-1.fc19
Comment 5 Fedora Update System 2013-05-26 12:59:43 EDT
Package qemu-1.4.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-1.4.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9287/qemu-1.4.2-1.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-05-27 09:13:13 EDT
qemu-1.4.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qemu-1.4.2-2.fc19
Comment 7 Fedora Update System 2013-05-31 23:20:10 EDT
qemu-1.4.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.